Page MenuHomePhabricator

Video transcoding not started after server-side uploads
Closed, ResolvedPublic

Description

Hi, I think video transcoding should started after a server-side upload, but it seems it is not the case: https://commons.wikimedia.org/wiki/File:25-08-2012-Nuro-Ravna-Jurc-Pohorje-fura3.webm and many in https://commons.wikimedia.org/wiki/Category:Uploaded_with_video2commons/Server-side_uploads
Some transcodings were started manually.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterTrigger transcode jobs from FileUpload hook

Event Timeline

Yann created this task.Feb 20 2016, 4:46 PM
Restricted Application added subscribers: zhuyifei1999, StudiesWorld, Aklapper. · View Herald TranscriptFeb 20 2016, 4:46 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 20 2016, 4:49 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
TheDJ added a subscriber: TheDJ.Feb 23 2016, 4:16 PM

Does that use uploading by url ? The transcode job is a hooked into the https://www.mediawiki.org/wiki/Manual:Hooks/UploadComplete hook if I remember correctly, so if transcodes don't start, then it means the upload path used isn't triggering this specific hook.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptFeb 23 2016, 4:16 PM

It's server side upload via importImages.php, requested in tasks such as T127805: Please upload large files to Wikimedia Commons

This script uses the function recordUpload2, which is a bit lower level than where UploadComplete resides. While looking however, I notice that this function does have https://www.mediawiki.org/wiki/Manual:Hooks/FileUpload

That makes me wonder if TMH should not hook into that one instead...

TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.

Change 273140 had a related patch set uploaded (by TheDJ):
[Untested] Trigger transcode jobs from FileUpload hook

https://gerrit.wikimedia.org/r/273140

TheDJ closed this task as Resolved.Apr 12 2016, 7:35 PM
TheDJ claimed this task.
TheDJ triaged this task as Low priority.
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.

Change 273140 merged by jenkins-bot:
Trigger transcode jobs from FileUpload hook

https://gerrit.wikimedia.org/r/273140

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:02 PM